Loading...
Searching...
No Matches
ABTransform Class Reference

This class implements the Transformer functor interface (specifically, the isAffine(), transform() and invTransform() methods) for a transform that maps an A grid into a B grid's index space such that, after resampling, A's index space and transform match B's index space and transform. More...

`#include <openvdb/tools/GridTransformer.h>`

## Public Member Functions

| ABTransform (const math::Transform &aXform, const math::Transform &bXform)
bool | isAffine () const
bool | isIdentity () const
openvdb::Vec3R | transform (const openvdb::Vec3R &pos) const
openvdb::Vec3R | invTransform (const openvdb::Vec3R &pos) const
const math::Transform & | getA () const
const math::Transform & | getB () const

## Detailed Description

This class implements the Transformer functor interface (specifically, the isAffine(), transform() and invTransform() methods) for a transform that maps an A grid into a B grid's index space such that, after resampling, A's index space and transform match B's index space and transform.

## Constructor & Destructor Documentation

## ABTransform()

ABTransform | ( | const math::Transform & | aXform,
|  | const math::Transform & | bXform )

inline

Parameters

  aXform | the A grid's transform
  bXform | the B grid's transform

## Member Function Documentation

## getA()

const math::Transform & getA | ( |  | ) | const

inline

## getB()

const math::Transform & getB | ( |  | ) | const

inline

## invTransform()

openvdb::Vec3R invTransform | ( | const openvdb::Vec3R & | pos | ) | const

inline

## isAffine()

bool isAffine | ( |  | ) | const

inline

## isIdentity()

bool isIdentity | ( |  | ) | const

inline

## transform()

openvdb::Vec3R transform | ( | const openvdb::Vec3R & | pos | ) | const

inline